// Example how to use CUDOBJ.OBJ in C
// written by Ys/CUD 28.06.97
// Link with CUDOBJ.OBJ
// use a far-data memory model like COMPACT

#include "conio.h"

void far pascal cud_fm_player(void);			// PLAYER ENTRY POINT

char huge work[0x1000F];				// WORK SPACE FOR FM_LOAD

char* songname="RAID.CFF";				// NAME OF SONG FILE
	// see that this is in the normal DATA seg (standart-DS, s. FM_LOAD)

int main(void)
{
 _AH=1;							// FM_RESET
 cud_fm_player();
 if (_FLAGS&1)						// check carry flag
 {
  cprintf("ADLIB-card not found !\n\r");
  return 1;
 }
 _ES=((((unsigned long)work)>>16))+(((unsigned)(work+0xF))>>4);	// ES=WORKSEG
 _DX=(unsigned)songname;				// DS:DX=songname
 _AX=0;							// FM_LOAD (AL=0)
 cud_fm_player();
 if (_FLAGS&1)						// check carry flag
 {
  cprintf("Error with loading song !\n\r");
  return 1;
 }
 _AH=2;							// FM_START
 cud_fm_player();
 cprintf("CFF-SONG PLAYING...\n\r");
 getch();
 _AH=3;							// FM_STOP
 cud_fm_player();
 cprintf("CFF-SONG STOPPED...\n\r");
 return 0;
}
