// Example how to use CUDOBJ_T.OBJ in C
// written by Ys/CUD 28.06.97
// Link with CUDOBJ_T.OBJ
// use a far-data memory model like COMPACT

#include "conio.h"
#include "io.h"
#include "fcntl.h"
#include "sys\stat.h"

void far pascal cud_fm_player(void);		// PLAYER ENTRY POINT

char huge song[0x10000];			// SPACE FOR SONG DATA

int main(void)
{
 int h;
 _AH=1;						// FM_RESET
 cud_fm_player();
 if (_FLAGS&1)					// check carry flag
 {
  cprintf("ADLIB-card not found !\n\r");
  return 1;
 }
 if ( (h=open("SONG.BIN",O_RDONLY | O_BINARY))==-1)	// load song
 {
  cprintf("File SONG.BIN not found.\n\r");
  return 1;
 }
 read(h,(char far*)song,0x8000);		// 2x8000h=10000h=64K
 read(h,(char far*)song+0x8000,0x8000);
 close(h);
 asm push ds					// save DS
 _DS=(unsigned long)song>>16;			// DS:SI=SONG DATA
 _SI=(unsigned)song;
 _AH=2;						// FM_START
 cud_fm_player();
 asm pop ds					// restore DS
 if (_FLAGS&1)					// check carry flag
 {
  cprintf("Error while loading song !\n\r");
  return 1;
 }
 cprintf("CFF-SONG PLAYING...\n\r");
 getch();
 _AH=3;						// FM_STOP
 cud_fm_player();
 cprintf("CFF-SONG STOPPED...\n\r");
 return 0;
}
